SDL_FORCE_INLINE(3)

NAME
SDL_FORCE_INLINE - A macro to demand a function be inlined.

HEADER FILE
Defined in SDL3/SDL_begin_code.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_FORCE_INLINE __forceinline

DESCRIPTION
This is a command to the compiler to inline a function. SDL uses this macro in its public headers for a handful of simple functions. On compilers without forceinline support, this is defined to staticSDL_INLINE , which is often good enough.

This symbol is used in SDL's headers, but apps and other libraries are welcome to use it for their own interfaces as well.

AVAILABILITY
This macro is available since SDL 3.2.0.